<?php

namespace App\EntityList;

/**
 * @author Gabriel
 */
class AriaChatMessages extends \App\EntityList\GeneralAbstract
{

	/**
	 * (non-PHPdoc)
	 * @see \App\EntityList\GeneralAbstract::loadDbTablesCfgs()
	 */
	protected function loadDbTablesCfgs(): void
	{
		// store the table name
		global $DBTAriaChats, $DBTAriaChatMessages;
		$this->setMainTable($DBTAriaChatMessages, 'ariaChatMessages');
		$this->addAllowedTable($DBTAriaChats, 'ariaChats', 'ariaChatMessages.idChat=ariaChats.id', 'INNER');

	}

	/**
	 * Disable the "deleted=0" filter
	 * @see \App\EntityList\GeneralAbstract::setDefaultFilters()
	 */
	public function setDefaultFilters(): void
	{
	}

}

